import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:making_school_asignment_app/common/mixins/request_tool_mixin.dart';

import 'work_state.dart';

class WorkLogic extends GetxController with RequestToolMixin, GetTickerProviderStateMixin {
  final WorkState state = WorkState();
  late TabController tabController;
  @override
  void onInit() {
    super.onInit();
    state.tabIndex.value = 0;
    tabController = TabController(
      length: 2,
      vsync: this,
    );
  }

  @override
  void onClose() {
    tabController.dispose();
    super.onClose();
  }

  // @override
  // void dispose() {
  //   super.dispose();
  //   tabController.dispose();
  // }
}
